PrintWriter
Date: 2016-06-24

java.io

## Class PrintWriter

- java.lang.Object
- - java.io.Writer
  - - java.io.PrintWriter

-     public class PrintWriter
      extends Writer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Writer` | `out`

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrintWriter(OutputStream var0)`
    `PrintWriter(OutputStream var0, boolean var1)`
    `PrintWriter(Writer var0)`
    `PrintWriter(Writer var0, boolean var1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkError()`
    `void` | `close()`
    `void` | `flush()`
    `void` | `print(boolean var0)`
    `void` | `print(char var0)`
    `void` | `print(char[] var0)`
    `void` | `print(double var0)`
    `void` | `print(float var0)`
    `void` | `print(int var0)`
    `void` | `print(long var0)`
    `void` | `print(Object var0)`
    `void` | `print(String var0)`
    `void` | `println()`
    `void` | `println(boolean var0)`
    `void` | `println(char var0)`
    `void` | `println(char[] var0)`
    `void` | `println(double var0)`
    `void` | `println(float var0)`
    `void` | `println(int var0)`
    `void` | `println(long var0)`
    `void` | `println(Object var0)`
    `void` | `println(String var0)`
    `protected void` | `setError()`
    `void` | `write(char[] var0)`
    `void` | `write(char[] var0, int var1, int var2)`
    `void` | `write(int var0)`
    `void` | `write(String var0)`
    `void` | `write(String var0, int var1, int var2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### out

          protected Writer out

  - ### Constructor Detail

    - #### PrintWriter

          public PrintWriter(OutputStream var0)

    - #### PrintWriter

          public PrintWriter(OutputStream var0,
                     boolean var1)

    - #### PrintWriter

          public PrintWriter(Writer var0)

    - #### PrintWriter

          public PrintWriter(Writer var0,
                     boolean var1)

  - ### Method Detail

    - #### checkError

          public boolean checkError()

    - #### close

          public void close()

      Specified by:
        `close` in class `Writer`

    - #### flush

          public void flush()

      Specified by:
        `flush` in class `Writer`

    - #### print

          public void print(char var0)

    - #### print

          public void print(double var0)

    - #### print

          public void print(float var0)

    - #### print

          public void print(int var0)

    - #### print

          public void print(long var0)

    - #### print

          public void print(Object var0)

    - #### print

          public void print(String var0)

    - #### print

          public void print(boolean var0)

    - #### print

          public void print(char[] var0)

    - #### println

          public void println()

    - #### println

          public void println(char var0)

    - #### println

          public void println(double var0)

    - #### println

          public void println(float var0)

    - #### println

          public void println(int var0)

    - #### println

          public void println(long var0)

    - #### println

          public void println(Object var0)

    - #### println

          public void println(String var0)

    - #### println

          public void println(boolean var0)

    - #### println

          public void println(char[] var0)

    - #### setError

          protected void setError()

    - #### write

          public void write(int var0)

      Overrides:
        `write` in class `Writer`

    - #### write

          public void write(String var0)

      Overrides:
        `write` in class `Writer`

    - #### write

          public void write(String var0,
                   int var1,
                   int var2)

      Overrides:
        `write` in class `Writer`

    - #### write

          public void write(char[] var0)

      Overrides:
        `write` in class `Writer`

    - #### write

          public void write(char[] var0,
                   int var1,
                   int var2)

      Specified by:
        `write` in class `Writer`